Check the current status of a secret by its identifier. Returns the secret's state and expiration details, or an unknown state if the secret does not exist.
GET
/api/v3/secret/{identifier}/status
curl \
--request GET 'https://ca.onetimesecret.com/api/v3/secret/{identifier}/status'
Response examples (200)
{
"user_id": "string",
"shrimp": "",
"record": {
"identifier": "string",
"key": "string",
"shortid": "string",
"state": "new",
"has_passphrase": true,
"verification": true,
"secret_value": "string",
"is_previewed": true,
"is_revealed": true,
"secret_ttl": 42.0,
"lifespan": 42.0,
"created": 42.0,
"updated": 42.0
},
"details": {
"continue": true,
"is_owner": true,
"show_secret": true,
"display_lines": 42.0,
"one_liner": true
}
}
Response examples (404)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (500)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}